{% extends 'admin/adminbase.html.twig' %}
{% import "macros/datatable.html.twig" as dt %}
{% import "macros/genLoading.html.twig" as ld %}

{% block body %}
    <div class="card-genossys">
        <h5>Konfirmasi Pembayaran Try Out</h5>
        <div class="pb-5">

        </div>
        {{ dt.datatable }}
    </div>

    <div class="modal fade" id="modal" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
            <div class="modal-content">
                <form id="formCategori" method="post" onsubmit="return cekData(1)">
                    <input id="id" name="id" hidden>
                    <input id="action" name="action" hidden>
                    <input id="registrant" name="registrant" hidden>
                    <input id="minRegistrant" name="minRegistrant" hidden>
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLongTitle">Edit Payment</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <h5>Detail Pembelian</h5>
                        <table class="mb-4">
                            <tr>
                                <td>Nomor Transaksi</td>
                                <td>:</td>
                                <td id="trx"></td>
                            </tr>
                            <tr>
                                <td>Nama Siswa</td>
                                <td>:</td>
                                <td id="siswaName"></td>
                            </tr>
                            <tr>
                                <td>Nama Try Out</td>
                                <td>:</td>
                                <td id="tryOut"></td>
                            </tr>
                            <tr>
                                <td>Kategori</td>
                                <td>:</td>
                                <td id="kategori"></td>
                            </tr>
                            <tr>
                                <td>Level</td>
                                <td>:</td>
                                <td id="level"></td>
                            </tr>
                            <tr>
                                <td>Jumlah Pendaftar</td>
                                <td>:</td>
                                <td id="pendaftar"></td>
                            </tr>
                        </table>

                        <h5>Detail Promo</h5>
                        <table class="mb-4">
                            <tr>
                                <td>Status Promo</td>
                                <td>:</td>
                                <td id="promo"></td>
                            </tr>
                            <tr>
                                <td>Minimal Pendaftar</td>
                                <td>:</td>
                                <td id="minim"></td>
                            </tr>
                            <tr>
                                <td>Jumlah Akses Gratis</td>
                                <td>:</td>
                                <td id="jumAkses"></td>
                            </tr>
                            <tr>
                                <td>Kode Akses</td>
                                <td>:</td>
                                <td id="referal"></td>
                            </tr>
                        </table>
                        <h5>Detail Pembayaran</h5>
                        <table>
                            <tr>
                                <td>Bank Tujuan</td>
                                <td>:</td>
                                <td>namaBank</td>
                            </tr>
                            <tr>
                                <td>Nama Pengirim</td>
                                <td>:</td>
                                <td id="holderPengirim"></td>
                            </tr>
                            <tr>
                                <td>Rekening Pengirim</td>
                                <td>:</td>
                                <td id="numberPengirim"></td>
                            </tr>
                        </table>

                    </div>
                    <div class="modal-footer" id="btn-konfirm">

                    </div>
                </form>
            </div>
        </div>
    </div>


    {{ ld.modal_loading() }}

{% endblock %}
{% block javascripts %}
    <script>
        $(document).on('click', 'a#editData', function () {
            $('#modal #btn-konfirm').empty();
            $('#holderPengirim').html('');
            $('#numberPengirim').html('');
            var id = $(this).data('cred');
            var idTrx = $(this).data('id');
            var idBank = $(this).data('bankid');
            var bank = $(this).data('bank');
            var cart = $(this).data('cartid');
            var payment = $(this).data('paymentid');
            var namaSiswa = $(this).data('fullname');
            var TryOut = $(this).data('title');
            var cat = $(this).data('category');
            var level = $(this).data('level');
            var registrantnumber = $(this).data('registrantnumber');
            var freeaccess = $(this).data('freeaccess');
            var referalcode = $(this).data('referalcode');
            var min = $(this).data('minregistrant');
            var minregistrant;
            var isactive = $(this).data('isactive');
            var ispaid = $(this).data('ispaid');
            var promo;
            switch (isactive) {
                case 1 :
                    promo = 'Aktif';
                    minregistrant = min;
                    break;

                default :
                    promo = 'Tidak ada promo / Tidak Aktif';
                    minregistrant = '-';
                    break;

            }
            $.get('/admin/konfirmasi-pembayaran/try-out/get-account/'+id, function (dat) {
                console.log(dat);
                console.log(dat['payload']);
                console.log(dat['payload']['accountHolder']);
                console.log(dat['payload'].length);
                if (dat['code'] === 200){
                        $('#holderPengirim').html(dat['payload']['accountHolder']);
                        $('#numberPengirim').html(dat['payload']['accountNumber']);
                }
            });
            console.log(promo);
            console.log(isactive);

            if (ispaid) {
                $('#modal #btn-konfirm').append('<h6>Pembayaran Sudah Dikonfirmasi</h6>');
            } else {
                $('#modal #btn-konfirm').append('<button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>')
                    .append('<button type="submit" class="btn btn-primary">Terima Pembayaran</button>')
                    .append('<a onclick="cekData(6)" class="btn btn-danger">Tolak Pembayaran</a>');
            }
            console.log(idBank);
            $('#modal #id').val(id);
            $('#modal #trx').html(idTrx);
            $('#modal #siswaName').html(namaSiswa);
            $('#modal #tryOut').html(TryOut);
            $('#modal #kategori').html(cat);
            $('#modal #level').html(level);
            $('#modal #pendaftar').html(registrantnumber);
            $('#modal #registrant').val(registrantnumber);
            $('#modal #minim').html(minregistrant);
            $('#modal #minRegistrant').val(minregistrant ?? '-');
            $('#modal #jumAkses').html(freeaccess ?? '-');
            $('#modal #referal').html(referalcode ?? '-');
            $('#modal #cart').val(cart);
            $('#modal #promo').html(promo);
            $('#modal #payment').val(payment);
            $('#modal #namaBank').html(bank);

            $('#modal').modal();
        });

        $(document).ready(function () {
            getCodeBankAccount('databank');
            $('#databank').select2();
        });

        function cekData(a) {
            var message = 'Apakah anda yakin akan menerima pembayaran ?';
            if (a === 6) {
                message = 'Apakah anda yakin akan menolak pembayaran ?';
            }

            let data = {
                'id': $('#formCategori #id').val(),
                'status': a
            };

            alertify.confirm('Info', message, function () {
                $('#loading').modal();
                $.post('/admin/konfirmasi-pembayaran/try-out', data, function (data) {
                    console.log(data);
                    if (data['code'] === 200) {
                        $('#modal').modal('hide');
                        $('#loading').modal('hide');
                        $('#tableData').DataTable().ajax.reload();
                    }
                })
            }, function () {
            });
            return false;
        }

    </script>
    {{ dt.datatableJS(class, space, tableAction, tableFields ,where,groupBy, 'yes','yes','tableData', false, order) }}
{% endblock %}